Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444808 - app-misc/hivex-1.3.6-r2 USE=ruby - rake aborted! / / cannot load such file -- rake/rdoctask
Summary: app-misc/hivex-1.3.6-r2 USE=ruby - rake aborted! / / cannot load such file --...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreis Vinogradovs ( slepnoga )
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 16:10 UTC by Willard Dawson
Modified: 2013-03-31 09:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge-info,6.08 KB, text/plain)
2012-11-26 16:10 UTC, Willard Dawson
Details
build log (build.log,42.05 KB, text/plain)
2012-11-26 16:11 UTC, Willard Dawson
Details
emerge -pqv (emerge-pqv,104 bytes, text/plain)
2012-11-26 16:18 UTC, Willard Dawson
Details
build log (post-patch) (build.log,42.24 KB, text/plain)
2012-12-05 04:45 UTC, Willard Dawson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willard Dawson 2012-11-26 16:10:50 UTC
Created attachment 330640 [details]
emerge --info

Errors out during compilation phase:

make[2]: Leaving directory `/var/tmp/portage/app-misc/hivex-1.3.6-r2/work/hivex-1.3.6/regedit'
Making all in ruby
-e:1: Use RbConfig instead of obsolete and deprecated Config.
-e:1: Use RbConfig instead of obsolete and deprecated Config.
make[2]: Entering directory `/var/tmp/portage/app-misc/hivex-1.3.6-r2/work/hivex-1.3.6/ruby'
rake build
rake aborted!
cannot load such file -- rake/rdoctask
/var/tmp/portage/app-misc/hivex-1.3.6-r2/work/hivex-1.3.6/ruby/Rakefile:20:in `<top (required)>'
(See full trace by running task with --trace)
Comment 1 Willard Dawson 2012-11-26 16:11:11 UTC
Created attachment 330642 [details]
build log
Comment 2 Willard Dawson 2012-11-26 16:18:38 UTC
Created attachment 330646 [details]
emerge -pqv
Comment 3 Richard Jones 2012-11-27 12:49:41 UTC
I don't exactly know what causes this, because we're both
using Ruby 1.9.x.  However you could try applying a change
similar to this one from libguestfs:

https://github.com/libguestfs/libguestfs/commit/fd7a5a8bbdc69b9d2a92f6d05ac555334d0516bf

and see if that helps.
Comment 4 Willard Dawson 2012-12-05 04:44:31 UTC
(In reply to comment #3)
> I don't exactly know what causes this, because we're both
> using Ruby 1.9.x.  However you could try applying a change
> similar to this one from libguestfs:
> 
> https://github.com/libguestfs/libguestfs/commit/
> fd7a5a8bbdc69b9d2a92f6d05ac555334d0516bf
> 
> and see if that helps.

I tried it out -- created a patch file to modify (ruby_fix_deprecated.patch) and modified my local hivex-1.3.6-r2.ebuild to also include that patch, but the results were not generally positive.

I've attached the results, if you find it helpful.
Comment 5 Willard Dawson 2012-12-05 04:45:09 UTC
Created attachment 331492 [details]
build log (post-patch)
Comment 6 Andreis Vinogradovs ( slepnoga ) 2013-03-30 16:59:16 UTC
Fixed in my overlay https://code.google.com/p/slepnoga/source/detail?r=ee5c28948a9a65e2d955fe817a083a73bdb58687,
wait for commit in tree
Comment 7 Maxim Koltsov gentoo-dev 2013-03-31 09:04:20 UTC
Fixed in 1.3.7-r1, thanks.